QwtPlotZoneItem(3)

NAME
QwtPlotZoneItem - A plot item, which displays a zone.

SYNOPSIS

#include <qwt_plot_zoneitem.h>

Inherits QwtPlotItem.

  Public Member Functions
QwtPlotZoneItem ()
Constructor.
virtual ~QwtPlotZoneItem ()
Destructor.
virtual int rtti () const override
void setOrientation (Qt::Orientation)
Set the orientation of the zone.
Qt::Orientation orientation () const
void setInterval (double min, double max)
void setInterval (const QwtInterval &)
QwtInterval interval () const
void setPen (const QColor &, qreal width=0.0, Qt::PenStyle=Qt::SolidLine)
void setPen (const QPen &)
Assign a pen.
const QPen & pen () const
void setBrush (const QBrush &)
Assign a brush.
const QBrush & brush () const
virtual void draw (QPainter *, const QwtScaleMap &, const QwtScaleMap &, const QRectF &canvasRect) const override
virtual QRectF boundingRect () const override

  Additional Inherited Members

Detailed Description

A plot item, which displays a zone. A horizontal zone highlights an interval of the y axis - a vertical zone an interval of the x axis - and is unbounded in the opposite direction. It is filled with a brush and its border lines are optionally displayed with a pen.

Note
    For displaying an area that is bounded for x and y coordinates use QwtPlotShapeItem

Definition at line 33 of file qwt_plot_zoneitem.h.

Constructor & Destructor Documentation

  QwtPlotZoneItem::QwtPlotZoneItem () [explicit]

Constructor. Initializes the zone with no pen and a semi transparent gray brush

Sets the following item attributes:

•   QwtPlotItem::AutoScale: false

•   QwtPlotItem::Legend: false

The z value is initialized by 5

See also
    QwtPlotItem::setItemAttribute(), QwtPlotItem::setZ()

Definition at line 50 of file qwt_plot_zoneitem.cpp.

Member Function Documentation

  QRectF QwtPlotZoneItem::boundingRect () const [override], [virtual]
The bounding rectangle is build from the interval in one direction and something invalid for the opposite direction.

Returns
    An invalid rectangle with valid boundaries in one direction

Reimplemented from QwtPlotItem.

Definition at line 297 of file qwt_plot_zoneitem.cpp.

  const QBrush & QwtPlotZoneItem::brush () const

Returns
    Brush used to fill the zone

See also
    setPen(), brush()

Definition at line 138 of file qwt_plot_zoneitem.cpp.

  void QwtPlotZoneItem::draw (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRectF & canvasRect) const [override], [virtual]
Draw the zone

Parameters
    painter Painter
    xMap x Scale Map
    yMap y Scale Map
    canvasRect Contents rectangle of the canvas in painter coordinates

Implements QwtPlotItem.

Definition at line 223 of file qwt_plot_zoneitem.cpp.

  QwtInterval QwtPlotZoneItem::interval () const

Returns
    Zone interval

See also
    setInterval(), orientation()

Definition at line 209 of file qwt_plot_zoneitem.cpp.

  Qt::Orientation QwtPlotZoneItem::orientation () const

Returns
    Orientation of the zone

See also
    setOrientation()

Definition at line 165 of file qwt_plot_zoneitem.cpp.

  const QPen & QwtPlotZoneItem::pen () const

Returns
    Pen used to draw the border lines

See also
    setPen(), brush()

Definition at line 112 of file qwt_plot_zoneitem.cpp.

  int QwtPlotZoneItem::rtti () const [override], [virtual]

Returns
    QwtPlotItem::Rtti_PlotZone

Reimplemented from QwtPlotItem.

Definition at line 68 of file qwt_plot_zoneitem.cpp.

  void QwtPlotZoneItem::setBrush (const QBrush & brush)

Assign a brush. The brush is used to fill the zone

Parameters
    brush Brush

See also
    pen(), setBrush()

Definition at line 125 of file qwt_plot_zoneitem.cpp.

  void QwtPlotZoneItem::setInterval (const QwtInterval & interval)
Set the interval of the zone

For a horizontal zone the interval is related to the y axis, for a vertical zone it is related to the x axis.

Parameters
    interval Zone interval

See also
    interval(), setOrientation()

Definition at line 196 of file qwt_plot_zoneitem.cpp.

  void QwtPlotZoneItem::setInterval (double min, double max)
Set the interval of the zone

For a horizontal zone the interval is related to the y axis, for a vertical zone it is related to the x axis.

Parameters
    min Minimum of the interval
    max Maximum of the interval

See also
    interval(), setOrientation()

Definition at line 181 of file qwt_plot_zoneitem.cpp.

  void QwtPlotZoneItem::setOrientation (Qt::Orientation orientation)

Set the orientation of the zone. A horizontal zone highlights an interval of the y axis, a vertical zone of the x axis. It is unbounded in the opposite direction.

See also
    orientation(), QwtPlotItem::setAxes()

Definition at line 152 of file qwt_plot_zoneitem.cpp.

  void QwtPlotZoneItem::setPen (const QColor & color, qreal width = 0.0, Qt::PenStyle style = Qt::SolidLine)
Build and assign a pen

In Qt5 the default pen width is 1.0 ( 0.0 in Qt4 ) what makes it non cosmetic ( see QPen::isCosmetic() ). This method has been introduced to hide this incompatibility.

Parameters
    color Pen color
    width Pen width
    style Pen style

See also
    pen(), brush()

Definition at line 86 of file qwt_plot_zoneitem.cpp.

  void QwtPlotZoneItem::setPen (const QPen & pen)

Assign a pen. The pen is used to draw the border lines of the zone

Parameters
    pen Pen

See also
    pen(), setBrush()

Definition at line 99 of file qwt_plot_zoneitem.cpp.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.